apt 3.2.0 commandline package manager

Public Member Functions | Protected Member Functions | List of all members
debPackagesIndex Class Reference
Inheritance diagram for debPackagesIndex:

## Public Member Functions
const Type * | GetType () const override APT_PURE
std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const override
bool | HasPackages () const override
| debPackagesIndex (IndexTarget const &Target, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexTargetFile
std::string | ArchiveURI (std::string const &File) const override
std::string | Describe (bool Short=false) const override
bool | Exists () const override
unsigned long | Size () const override
IndexTarget | GetIndexTarget () const APT_HIDDEN
| pkgDebianIndexTargetFile (IndexTarget const &Target, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexFile
bool | Merge (pkgCacheGenerator &Gen, OpProgress *Prog) override
pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const override
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
virtual pkgSrcRecords::Parser * | CreateSrcParser () const
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Protected Member Functions
uint8_t | GetIndexFlags () const override
Protected Member Functions inherited from pkgDebianIndexTargetFile
std::string | IndexFileName () const override
std::string | GetComponent () const override
std::string | GetArchitecture () const override
std::string | GetProgressDescription () const override
bool | OpenListFile (FileFd &Pkg, std::string const &FileName) override
Protected Member Functions inherited from pkgDebianIndexFile
virtual APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg)

## Additional Inherited Members
Protected Attributes inherited from pkgDebianIndexTargetFile
IndexTarget const | Target
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## ◆ ArchiveInfo()

std::string ArchiveInfo | ( | pkgCache::VerIterator const & | Ver | ) | const
| nodiscard override virtual

Reimplemented from pkgIndexFile.

## ◆ GetIndexFlags()

uint8_t GetIndexFlags | ( |  | ) | const
| nodiscard override protected virtual

Implements pkgDebianIndexFile.

## ◆ GetType()

const pkgIndexFile::Type * GetType | ( |  | ) | const
| nodiscard override virtual

Implements pkgIndexFile.

## ◆ HasPackages()

bool HasPackages | ( |  | ) | const
| inline nodiscard override virtual

Implements pkgIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debindexfile.h
- apt-pkg/deb/debindexfile.cc